Bug 982115 - [All LANG][RHSM CLI] Unlocalized strings for list module.
[All LANG][RHSM CLI] Unlocalized strings for list module.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: candlepin-bugs
IDM QE LIST
: Translation
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-07-08 03:51 EDT by Lijun Li
Modified: 2013-10-01 09:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:51:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lijun Li 2013-07-08 03:51:41 EDT
Description of problem:
[All LANG][RHSM CLI] Unlocalized strings for list module. 


Version-Release number of selected component (if applicable):
RHEL5.10 Beta 1 build:
subscription-manager-1.8.11-1.el5

How reproducible:
100%

Steps to Reproduce:
1. Install latest RHEL5.10 Beta 1 build and run the following rhsm cli from terminal with local languages.

Actual results:
# subscription-manager list
+-------------------------------------------+
    インストール済み製品のステータス
+-------------------------------------------+
製品名:         Red Hat Enterprise Linux Server
製品 ID:        69
バージョン:     5.10 Beta
アーキテクチャ: x86_64
状態:           サブスクライブしています
Status Details: 
^^^^^^^^^^^^^^^^^^^^^Unlocalized

# subscription-manager list --consumed
+-------------------------------------------+
   割り当て済みのサブスクリプション
+-------------------------------------------+
サブスクリプション名: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
提供:                 Red Hat Software Collections Beta (for RHEL Server)
                      Red Hat Enterprise Linux Server
                      Red Hat Beta
SKU:                  RH0103708
契約:                 10014723
アカウント:           5206751
Serial:               8463381084104832402
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized
プール ID:            8a99f9843c01ccba013c037bb23e0259
アクティブ:           True
使用数量:             1
サービスレベル:       Premium
サービスタイプ:       L1-L3
Status Details:   
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized    
開始:                 2012年12月31日
終了:                 2013年12月31日



Expected results:
All the strings should be localized.

Additional info:
Comment 1 John Sefler 2013-07-16 16:40:20 EDT
[root@jsefler-5 ~]# rpm -q subscription-manager
subscription-manager-1.8.13-1.el5


[root@jsefler-5 ~]# LANG=ja_JP.utf8 subscription-manager list
+-------------------------------------------+
    インストール済み製品のステータス
+-------------------------------------------+
製品名:         Awesome OS Server Bits
製品 ID:        37060
バージョン:     6.1
アーキテクチャ: ALL
状態:           サブスクライブしています
状態の詳細:     
開始:           2013年07月08日
終了:           2014年07月08日

[root@jsefler-5 ~]# LANG=ja_JP.utf8 subscription-manager list --consumed
+-------------------------------------------+
   割り当て済みのサブスクリプション
+-------------------------------------------+
サブスクリプション名: Awesome OS Server Basic
提供:                 Awesome OS Server Bits
SKU:                  awesomeos-server-basic
契約:                 13
アカウント:           12331131231
シリアル:             6145316119312081874
プール ID:            8a90f8203fc4ca73013fc4cbec940428
アクティブ:           True
使用数量:             1
サービスレベル:       None
サービスタイプ:       Self-Support
状態の詳細:           
開始:                 2013年07月08日
終了:                 2014年07月08日



VERIFIED: New strings "Status Details" and "Serial" have been pushed to Zanata, translated, and pulled into subscription-manager.
Comment 2 Sharath Dwaral 2013-07-16 16:52:37 EDT
Version:
# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-1.8.13-1.el5_9
subscription-manager-migration-1.8.13-1.el5_9
python-rhsm-1.8.13-1.el5_9
subscription-manager-migration-data-1.11.3.1-1.git.1.78afd75.el5
subscription-manager-firstboot-1.8.13-1.el5_9
subscription-manager-debuginfo-1.8.13-1.el5_9
subscription-manager-gui-1.8.13-1.el5_9

Verification:

Verified for the following languages

Oriya 		or_IN
Assamese	as_IN
Hindi 		hi_IN
Marati		mr_IN
Gujarati	gu_IN
Kannada		kn_IN
Tamil		ta_IN
Telgu		te_IN
Malayalam	ml_IN

Chinese		zh_CN	
Korean		ko_KR
Japanese	ja_JP	
Taiwanese	zh_TW
Portuguese      pt_BR
Spanish 	es_ES
German		de_DE
French		fr_FR
Italian		it_IT

LANGS pa and bn-IN are currently 79% translated.  See...
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X

Moving back to new
Comment 3 Sharath Dwaral 2013-07-16 17:57:27 EDT
Bug 928082 is tracking pa and bn_IN translations

Note You need to log in before you can comment on or make changes to this bug.